Description

Hi

I know it has already been addressed but issues are not tasks and renaming issues to task is not enough because we need both !

I'm in favor of renaming the current issues module as tasks module since it is connected to the Gantt which has nothing to do with

issues / tickets. Even if we think differently we do need to separate issues that are mainly submitted by the end user , from tasks that

are generally submitted by the internal staff.

This issues / task confusion is the source of most rebukes from our customers.

What do think if this proposal please? I'm sure many already thought about it already

thanks

cyril

Related issues:

Is duplicate of Redmine - Feature #3068: Generic task management (not issues) New 2009-03-28

History

#1 - 2017-04-10 09:29 - Toshi MARUYAMA

- Tracker changed from Defect to Feature

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #3068 and etc.

#2 - 2017-04-10 09:29 - Toshi MARUYAMA

- Is duplicate of Feature #3068: Generic task management (not issues) added

#3 - 2017-04-10 11:24 - cyril Thibout

- Status changed from Closed to Reopened

Hi

Though the initial question may feel the same this is not real duplicate of Feature #3068 where the topic was only how should we rename issues.

Here I'm talking about a real difference between tasks and issues (tickets). In most projects we have end users submitting issues that have very few

relationships with tasks we find in the gantt.

therefore I suggest a real split between those two different domains

Thanks

cyril

#4 - 2017-04-10 13:16 - Holger Just

You can define different trackers which can exhibit widely different behavior (e.g different workflows, different fields, ...). You can then filter in about all
views based in the tracker. That way, you can right now distinguish between your tasks and issues. You can even create different projects  for

development (with "issues") and user-support (with "tasks") where you just enable one of these trackers.

If this is not enough for your use-case, please describe in detail what is missing and how this could be solved in Redmine. Also please describe how

this applies to the general audience.
